
Foreman - Bug #3550

apidoc for import puppet classes API shows GET, not POST

10/31/2013 08:22 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The apipie doc for the import puppet classes API shows it as using the GET HTTP method, not POST.  This means the foreman_api

documentation is inaccurate too, preventing Katello (in this case) from calling the API correctly.

Related issues:

Related to Foreman - Feature #3140: Provide API to allow importing of puppet ... Closed 09/23/2013

Associated revisions

Revision 3b97c38f - 10/31/2013 10:03 AM - Dominic Cleal

fixes #3550 - correct HTTP method for puppet class import API

History

#1 - 10/31/2013 08:24 AM - Dominic Cleal

- Related to Feature #3140: Provide API to allow importing of puppet classes added

#2 - 10/31/2013 08:26 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

https://github.com/theforeman/foreman/pull/993

#3 - 10/31/2013 10:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3b97c38f10aece5ac62bf94235c3d31bf08b5018.
